<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>Generic Trace Generator (GTG): GTGCompress.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">Generic Trace Generator (GTG)
   &#160;<span id="projectnumber">0.1</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_bfccd401955b95cf8c75461437045ac0.html">inc</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">GTGCompress.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="GTGCompress_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="preprocessor">#ifndef GTG_COMPRESS_H</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor">#define GTG_COMPRESS_H</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;</div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="preprocessor">#include &lt;stdint.h&gt;</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="preprocessor">#include &lt;stdio.h&gt;</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#include &lt;zlib.h&gt;</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;</div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment">/* compress a buffer into another buffer */</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="keywordtype">int</span> <a class="code" href="GTGCompress_8h.html#ad971832008148b9507e34aad293a5d69">gtg_compress_m2m</a>(z_stream *z, <span class="keywordtype">void</span>* in_buf, <a class="code" href="GTGOTF2__Structs_8h.html#a892136a038b62ff5efd69a91e3e4668b">uint32_t</a> len, <span class="keywordtype">void</span>* out_buf, <a class="code" href="GTGOTF2__Structs_8h.html#a892136a038b62ff5efd69a91e3e4668b">uint32_t</a> out_max_len);</div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment">/* compress a buffer and save the result in a file */</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="keywordtype">int</span> <a class="code" href="GTGCompress_8h.html#a20b29310337c08faf98a57c25f7e45c1">gtg_compress_m2f</a>(z_stream *z, <span class="keywordtype">void</span>* in_buf, <a class="code" href="GTGOTF2__Structs_8h.html#a892136a038b62ff5efd69a91e3e4668b">uint32_t</a> len, FILE* file_out);</div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment">/* compress a file into a buffer */</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="keywordtype">int</span> <a class="code" href="GTGCompress_8h.html#a1a484fcd41732ae0c562df62c00c090c">gtg_compress_f2m</a>(z_stream *z, FILE* file_in, <span class="keywordtype">void</span>* out_buf, <a class="code" href="GTGOTF2__Structs_8h.html#a892136a038b62ff5efd69a91e3e4668b">uint32_t</a> out_max_len);</div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment">/* compress a file into another file */</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="keywordtype">int</span> <a class="code" href="GTGCompress_8h.html#ac1344155658614b28d00dde6cfc21227">gtg_compress_f2f</a>(z_stream *z, FILE* file_in, FILE* file_out);</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment">/* save functions for decompression */</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="keywordtype">int</span> <a class="code" href="GTGCompress_8h.html#ace4cb1d4d1f2e23251bd68a1abfbba5f">gtg_decompress_m2m</a>(z_stream *z, <span class="keywordtype">void</span>* in_buf, <a class="code" href="GTGOTF2__Structs_8h.html#a892136a038b62ff5efd69a91e3e4668b">uint32_t</a> len, <span class="keywordtype">void</span>* out_buf, <a class="code" href="GTGOTF2__Structs_8h.html#a892136a038b62ff5efd69a91e3e4668b">uint32_t</a> out_max_len);</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="keywordtype">int</span> <a class="code" href="GTGCompress_8h.html#ae4a80fc1d9defda19e67dcaccf9dc963">gtg_decompress_m2f</a>(z_stream *z, <span class="keywordtype">void</span>* in_buf, <a class="code" href="GTGOTF2__Structs_8h.html#a892136a038b62ff5efd69a91e3e4668b">uint32_t</a> len, FILE* file_out);</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="keywordtype">int</span> <a class="code" href="GTGCompress_8h.html#a31626eb78f66fd32d48b565a968fe405">gtg_decompress_f2m</a>(z_stream *z, FILE* file_in, <span class="keywordtype">void</span>* out_buf, <a class="code" href="GTGOTF2__Structs_8h.html#a892136a038b62ff5efd69a91e3e4668b">uint32_t</a> out_max_len);</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="keywordtype">int</span> <a class="code" href="GTGCompress_8h.html#affa95fc9078188415402e4ad714f0a07">gtg_decompress_f2f</a>(z_stream *z, FILE* file_in, FILE* file_out);</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="keywordtype">int</span> <a class="code" href="GTGCompress_8h.html#a743cbc48dbc83adcad70fa7a038211cc">gtg_compress_init</a>(z_stream *z, <span class="keywordtype">int</span> compression_ratio);</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="keywordtype">int</span> <a class="code" href="GTGCompress_8h.html#ab530d1815196b71ebd013660d1854081">gtg_decompress_init</a>(z_stream *z);</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="preprocessor">#endif  </span><span class="comment">/* GTG_COMPRESS_H */</span><span class="preprocessor"></span></div>
<div class="ttc" id="GTGOTF2__Structs_8h_html_a892136a038b62ff5efd69a91e3e4668b"><div class="ttname"><a href="GTGOTF2__Structs_8h.html#a892136a038b62ff5efd69a91e3e4668b">uint32_t</a></div><div class="ttdeci">otf2_id_t uint32_t</div><div class="ttdef"><b>Definition:</b> GTGOTF2_Structs.h:32</div></div>
<div class="ttc" id="GTGCompress_8h_html_ace4cb1d4d1f2e23251bd68a1abfbba5f"><div class="ttname"><a href="GTGCompress_8h.html#ace4cb1d4d1f2e23251bd68a1abfbba5f">gtg_decompress_m2m</a></div><div class="ttdeci">int gtg_decompress_m2m(z_stream *z, void *in_buf, uint32_t len, void *out_buf, uint32_t out_max_len)</div></div>
<div class="ttc" id="GTGCompress_8h_html_ae4a80fc1d9defda19e67dcaccf9dc963"><div class="ttname"><a href="GTGCompress_8h.html#ae4a80fc1d9defda19e67dcaccf9dc963">gtg_decompress_m2f</a></div><div class="ttdeci">int gtg_decompress_m2f(z_stream *z, void *in_buf, uint32_t len, FILE *file_out)</div></div>
<div class="ttc" id="GTGCompress_8h_html_a1a484fcd41732ae0c562df62c00c090c"><div class="ttname"><a href="GTGCompress_8h.html#a1a484fcd41732ae0c562df62c00c090c">gtg_compress_f2m</a></div><div class="ttdeci">int gtg_compress_f2m(z_stream *z, FILE *file_in, void *out_buf, uint32_t out_max_len)</div></div>
<div class="ttc" id="GTGCompress_8h_html_a743cbc48dbc83adcad70fa7a038211cc"><div class="ttname"><a href="GTGCompress_8h.html#a743cbc48dbc83adcad70fa7a038211cc">gtg_compress_init</a></div><div class="ttdeci">int gtg_compress_init(z_stream *z, int compression_ratio)</div></div>
<div class="ttc" id="GTGCompress_8h_html_a20b29310337c08faf98a57c25f7e45c1"><div class="ttname"><a href="GTGCompress_8h.html#a20b29310337c08faf98a57c25f7e45c1">gtg_compress_m2f</a></div><div class="ttdeci">int gtg_compress_m2f(z_stream *z, void *in_buf, uint32_t len, FILE *file_out)</div></div>
<div class="ttc" id="GTGCompress_8h_html_ab530d1815196b71ebd013660d1854081"><div class="ttname"><a href="GTGCompress_8h.html#ab530d1815196b71ebd013660d1854081">gtg_decompress_init</a></div><div class="ttdeci">int gtg_decompress_init(z_stream *z)</div></div>
<div class="ttc" id="GTGCompress_8h_html_ad971832008148b9507e34aad293a5d69"><div class="ttname"><a href="GTGCompress_8h.html#ad971832008148b9507e34aad293a5d69">gtg_compress_m2m</a></div><div class="ttdeci">int gtg_compress_m2m(z_stream *z, void *in_buf, uint32_t len, void *out_buf, uint32_t out_max_len)</div></div>
<div class="ttc" id="GTGCompress_8h_html_affa95fc9078188415402e4ad714f0a07"><div class="ttname"><a href="GTGCompress_8h.html#affa95fc9078188415402e4ad714f0a07">gtg_decompress_f2f</a></div><div class="ttdeci">int gtg_decompress_f2f(z_stream *z, FILE *file_in, FILE *file_out)</div></div>
<div class="ttc" id="GTGCompress_8h_html_ac1344155658614b28d00dde6cfc21227"><div class="ttname"><a href="GTGCompress_8h.html#ac1344155658614b28d00dde6cfc21227">gtg_compress_f2f</a></div><div class="ttdeci">int gtg_compress_f2f(z_stream *z, FILE *file_in, FILE *file_out)</div></div>
<div class="ttc" id="GTGCompress_8h_html_a31626eb78f66fd32d48b565a968fe405"><div class="ttname"><a href="GTGCompress_8h.html#a31626eb78f66fd32d48b565a968fe405">gtg_decompress_f2m</a></div><div class="ttdeci">int gtg_decompress_f2m(z_stream *z, FILE *file_in, void *out_buf, uint32_t out_max_len)</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Mon Jun 2 2014 10:59:53 for Generic Trace Generator (GTG) by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.7
</small></address>
</body>
</html>
